org.richfaces.component.html

## Class HtmlFileUpload

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIFileUpload
          - - org.richfaces.component.html.HtmlFileUpload

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlFileUpload
      extends UIFileUpload

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlFileUpload()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAcceptedTypes()`
    `java.lang.String` | `getAccesskey()`
    `java.lang.Object` | `getAccessKey()`
    `java.lang.String` | `getAddButtonClass()`
    `java.lang.String` | `getAddButtonClassDisabled()`
    `java.lang.String` | `getAddControlLabel()`
    `java.lang.Object` | `getAlign()`
    `java.lang.String` | `getAllowFlash()`
    `java.lang.String` | `getAlt()`
    `java.lang.String` | `getCancelEntryControlLabel()`
    `java.lang.String` | `getCleanButtonClass()`
    `java.lang.String` | `getCleanButtonClassDisabled()`
    `java.lang.String` | `getClearAllControlLabel()`
    `java.lang.String` | `getClearControlLabel()`
    `java.lang.Object` | `getContentType()`
    `java.lang.String` | `getDoneLabel()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFileEntryClass()`
    `java.lang.String` | `getFileEntryClassDisabled()`
    `java.lang.String` | `getFileEntryControlClass()`
    `java.lang.String` | `getFileEntryControlClassDisabled()`
    `java.lang.Object` | `getFileName()`
    `java.lang.Object` | `getFileSize()`
    `javax.faces.el.MethodBinding` | `getFileUploadListener()`
    `java.lang.String` | `getListHeight()`
    `java.lang.String` | `getListWidth()`
    `java.lang.Object` | `getLocale()`
    `java.lang.Integer` | `getMaxFilesQuantity()`
    `java.lang.Object` | `getMaxlength()`
    `java.lang.Object` | `getMaxLength()`
    `java.lang.String` | `getOnadd()`
    `java.lang.String` | `getOnblur()`
    `java.lang.String` | `getOnchange()`
    `java.lang.String` | `getOnclear()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnerror()`
    `java.lang.String` | `getOnfileuploadcomplete()`
    `java.lang.String` | `getOnfocus()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOnselect()`
    `java.lang.String` | `getOnsizerejected()`
    `java.lang.String` | `getOntyperejected()`
    `java.lang.String` | `getOnupload()`
    `java.lang.String` | `getOnuploadcanceled()`
    `java.lang.String` | `getOnuploadcomplete()`
    `java.lang.Object` | `getProgressInfo()`
    `java.lang.String` | `getProgressLabel()`
    `java.lang.Object` | `getSize()`
    `java.lang.String` | `getSizeErrorLabel()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getStopButtonClass()`
    `java.lang.String` | `getStopButtonClassDisabled()`
    `java.lang.String` | `getStopControlLabel()`
    `java.lang.String` | `getStopEntryControlLabel()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getTransferErrorLabel()`
    `java.lang.String` | `getUploadButtonClass()`
    `java.lang.String` | `getUploadButtonClassDisabled()`
    `java.lang.String` | `getUploadControlLabel()`
    `java.lang.Object` | `getUploadData()`
    `java.lang.String` | `getUploadListClass()`
    `java.lang.String` | `getUploadListClassDisabled()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isAutoclear()`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediateUpload()`
    `boolean` | `isNoDuplicate()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAcceptedTypes(java.lang.String _acceptedTypes)`
    `void` | `setAccessKey(java.lang.Object _accessKey)`
    `void` | `setAccesskey(java.lang.String _accesskey)`
    `void` | `setAddButtonClass(java.lang.String _addButtonClass)`
    `void` | `setAddButtonClassDisabled(java.lang.String _addButtonClassDisabled)`
    `void` | `setAddControlLabel(java.lang.String _addControlLabel)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setAlign(java.lang.Object _align)`
    `void` | `setAllowFlash(java.lang.String _allowFlash)`
    `void` | `setAlt(java.lang.String _alt)`
    `void` | `setAutoclear(boolean _autoclear)`
    `void` | `setCancelEntryControlLabel(java.lang.String _cancelEntryControlLabel)`
    `void` | `setCleanButtonClass(java.lang.String _cleanButtonClass)`
    `void` | `setCleanButtonClassDisabled(java.lang.String _cleanButtonClassDisabled)`
    `void` | `setClearAllControlLabel(java.lang.String _clearAllControlLabel)`
    `void` | `setClearControlLabel(java.lang.String _clearControlLabel)`
    `void` | `setContentType(java.lang.Object _contentType)`
    `void` | `setDisabled(boolean _disabled)`
    `void` | `setDoneLabel(java.lang.String _doneLabel)`
    `void` | `setFileEntryClass(java.lang.String _fileEntryClass)`
    `void` | `setFileEntryClassDisabled(java.lang.String _fileEntryClassDisabled)`
    `void` | `setFileEntryControlClass(java.lang.String _fileEntryControlClass)`
    `void` | `setFileEntryControlClassDisabled(java.lang.String _fileEntryControlClassDisabled)`
    `void` | `setFileName(java.lang.Object _fileName)`
    `void` | `setFileSize(java.lang.Object _fileSize)`
    `void` | `setFileUploadListener(javax.faces.el.MethodBinding _fileUploadListener)`
    `void` | `setImmediateUpload(boolean _immediateUpload)`
    `void` | `setListHeight(java.lang.String _listHeight)`
    `void` | `setListWidth(java.lang.String _listWidth)`
    `void` | `setLocale(java.lang.Object _locale)`
    `void` | `setMaxFilesQuantity(java.lang.Integer _maxFilesQuantity)`
    `void` | `setMaxlength(java.lang.Object _maxlength)`
    `void` | `setMaxLength(java.lang.Object _maxLength)`
    `void` | `setNoDuplicate(boolean _noDuplicate)`
    `void` | `setOnadd(java.lang.String _onadd)`
    `void` | `setOnblur(java.lang.String _onblur)`
    `void` | `setOnchange(java.lang.String _onchange)`
    `void` | `setOnclear(java.lang.String _onclear)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnerror(java.lang.String _onerror)`
    `void` | `setOnfileuploadcomplete(java.lang.String _onfileuploadcomplete)`
    `void` | `setOnfocus(java.lang.String _onfocus)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOnselect(java.lang.String _onselect)`
    `void` | `setOnsizerejected(java.lang.String _onsizerejected)`
    `void` | `setOntyperejected(java.lang.String _ontyperejected)`
    `void` | `setOnupload(java.lang.String _onupload)`
    `void` | `setOnuploadcanceled(java.lang.String _onuploadcanceled)`
    `void` | `setOnuploadcomplete(java.lang.String _onuploadcomplete)`
    `void` | `setProgressInfo(java.lang.Object _progressInfo)`
    `void` | `setProgressLabel(java.lang.String _progressLabel)`
    `void` | `setSize(java.lang.Object _size)`
    `void` | `setSizeErrorLabel(java.lang.String _sizeErrorLabel)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setStopButtonClass(java.lang.String _stopButtonClass)`
    `void` | `setStopButtonClassDisabled(java.lang.String _stopButtonClassDisabled)`
    `void` | `setStopControlLabel(java.lang.String _stopControlLabel)`
    `void` | `setStopEntryControlLabel(java.lang.String _stopEntryControlLabel)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTabindex(java.lang.String _tabindex)`
    `void` | `setTransferErrorLabel(java.lang.String _transferErrorLabel)`
    `void` | `setUploadButtonClass(java.lang.String _uploadButtonClass)`
    `void` | `setUploadButtonClassDisabled(java.lang.String _uploadButtonClassDisabled)`
    `void` | `setUploadControlLabel(java.lang.String _uploadControlLabel)`
    `void` | `setUploadData(java.lang.Object _uploadData)`
    `void` | `setUploadListClass(java.lang.String _uploadListClass)`
    `void` | `setUploadListClassDisabled(java.lang.String _uploadListClassDisabled)`

    - ### Methods inherited from class org.richfaces.component.UIFileUpload

      `addFileUploadListener, broadcast, getAsLocale, getFileUploadListeners, getLocalContentType, getLocalFileName, getLocalFileSize, getLocalInputStream, parseLocale, removeFileUploadListener, reset, setLocalContentType, setLocalFileName, setLocalFileSize, setLocalInputStream`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlFileUpload

          public HtmlFileUpload()

  - ### Method Detail

    - #### getAcceptedTypes

          public java.lang.String getAcceptedTypes()

      Specified by:
        `getAcceptedTypes` in class `UIFileUpload`

    - #### setAcceptedTypes

          public void setAcceptedTypes(java.lang.String _acceptedTypes)

      Specified by:
        `setAcceptedTypes` in class `UIFileUpload`

    - #### getAccessKey

          public java.lang.Object getAccessKey()

    - #### setAccessKey

          public void setAccessKey(java.lang.Object _accessKey)

    - #### getAccesskey

          public java.lang.String getAccesskey()

    - #### setAccesskey

          public void setAccesskey(java.lang.String _accesskey)

    - #### getAddButtonClass

          public java.lang.String getAddButtonClass()

    - #### setAddButtonClass

          public void setAddButtonClass(java.lang.String _addButtonClass)

    - #### getAddButtonClassDisabled

          public java.lang.String getAddButtonClassDisabled()

    - #### setAddButtonClassDisabled

          public void setAddButtonClassDisabled(java.lang.String _addButtonClassDisabled)

    - #### getAddControlLabel

          public java.lang.String getAddControlLabel()

    - #### setAddControlLabel

          public void setAddControlLabel(java.lang.String _addControlLabel)

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### getAlign

          public java.lang.Object getAlign()

    - #### setAlign

          public void setAlign(java.lang.Object _align)

    - #### getAllowFlash

          public java.lang.String getAllowFlash()

    - #### setAllowFlash

          public void setAllowFlash(java.lang.String _allowFlash)

    - #### getAlt

          public java.lang.String getAlt()

    - #### setAlt

          public void setAlt(java.lang.String _alt)

    - #### isAutoclear

          public boolean isAutoclear()

    - #### setAutoclear

          public void setAutoclear(boolean _autoclear)

    - #### getCancelEntryControlLabel

          public java.lang.String getCancelEntryControlLabel()

    - #### setCancelEntryControlLabel

          public void setCancelEntryControlLabel(java.lang.String _cancelEntryControlLabel)

    - #### getCleanButtonClass

          public java.lang.String getCleanButtonClass()

    - #### setCleanButtonClass

          public void setCleanButtonClass(java.lang.String _cleanButtonClass)

    - #### getCleanButtonClassDisabled

          public java.lang.String getCleanButtonClassDisabled()

    - #### setCleanButtonClassDisabled

          public void setCleanButtonClassDisabled(java.lang.String _cleanButtonClassDisabled)

    - #### getClearAllControlLabel

          public java.lang.String getClearAllControlLabel()

    - #### setClearAllControlLabel

          public void setClearAllControlLabel(java.lang.String _clearAllControlLabel)

    - #### getClearControlLabel

          public java.lang.String getClearControlLabel()

    - #### setClearControlLabel

          public void setClearControlLabel(java.lang.String _clearControlLabel)

    - #### getContentType

          public java.lang.Object getContentType()

    - #### setContentType

          public void setContentType(java.lang.Object _contentType)

    - #### isDisabled

          public boolean isDisabled()

    - #### setDisabled

          public void setDisabled(boolean _disabled)

    - #### getDoneLabel

          public java.lang.String getDoneLabel()

    - #### setDoneLabel

          public void setDoneLabel(java.lang.String _doneLabel)

    - #### getFileEntryClass

          public java.lang.String getFileEntryClass()

    - #### setFileEntryClass

          public void setFileEntryClass(java.lang.String _fileEntryClass)

    - #### getFileEntryClassDisabled

          public java.lang.String getFileEntryClassDisabled()

    - #### setFileEntryClassDisabled

          public void setFileEntryClassDisabled(java.lang.String _fileEntryClassDisabled)

    - #### getFileEntryControlClass

          public java.lang.String getFileEntryControlClass()

    - #### setFileEntryControlClass

          public void setFileEntryControlClass(java.lang.String _fileEntryControlClass)

    - #### getFileEntryControlClassDisabled

          public java.lang.String getFileEntryControlClassDisabled()

    - #### setFileEntryControlClassDisabled

          public void setFileEntryControlClassDisabled(java.lang.String _fileEntryControlClassDisabled)

    - #### getFileName

          public java.lang.Object getFileName()

    - #### setFileName

          public void setFileName(java.lang.Object _fileName)

    - #### getFileSize

          public java.lang.Object getFileSize()

    - #### setFileSize

          public void setFileSize(java.lang.Object _fileSize)

    - #### getFileUploadListener

          public javax.faces.el.MethodBinding getFileUploadListener()

      Specified by:
        `getFileUploadListener` in class `UIFileUpload`

    - #### setFileUploadListener

          public void setFileUploadListener(javax.faces.el.MethodBinding _fileUploadListener)

      Specified by:
        `setFileUploadListener` in class `UIFileUpload`

    - #### isImmediateUpload

          public boolean isImmediateUpload()

    - #### setImmediateUpload

          public void setImmediateUpload(boolean _immediateUpload)

    - #### getListHeight

          public java.lang.String getListHeight()

      Specified by:
        `getListHeight` in class `UIFileUpload`

    - #### setListHeight

          public void setListHeight(java.lang.String _listHeight)

      Specified by:
        `setListHeight` in class `UIFileUpload`

    - #### getListWidth

          public java.lang.String getListWidth()

      Specified by:
        `getListWidth` in class `UIFileUpload`

    - #### setListWidth

          public void setListWidth(java.lang.String _listWidth)

      Specified by:
        `setListWidth` in class `UIFileUpload`

    - #### getLocale

          public java.lang.Object getLocale()

      Specified by:
        `getLocale` in class `UIFileUpload`

    - #### setLocale

          public void setLocale(java.lang.Object _locale)

      Specified by:
        `setLocale` in class `UIFileUpload`

    - #### getMaxFilesQuantity

          public java.lang.Integer getMaxFilesQuantity()

      Specified by:
        `getMaxFilesQuantity` in class `UIFileUpload`

    - #### setMaxFilesQuantity

          public void setMaxFilesQuantity(java.lang.Integer _maxFilesQuantity)

      Specified by:
        `setMaxFilesQuantity` in class `UIFileUpload`

    - #### getMaxLength

          public java.lang.Object getMaxLength()

    - #### setMaxLength

          public void setMaxLength(java.lang.Object _maxLength)

    - #### getMaxlength

          public java.lang.Object getMaxlength()

    - #### setMaxlength

          public void setMaxlength(java.lang.Object _maxlength)

    - #### isNoDuplicate

          public boolean isNoDuplicate()

    - #### setNoDuplicate

          public void setNoDuplicate(boolean _noDuplicate)

    - #### getOnadd

          public java.lang.String getOnadd()

    - #### setOnadd

          public void setOnadd(java.lang.String _onadd)

    - #### getOnblur

          public java.lang.String getOnblur()

    - #### setOnblur

          public void setOnblur(java.lang.String _onblur)

    - #### getOnchange

          public java.lang.String getOnchange()

    - #### setOnchange

          public void setOnchange(java.lang.String _onchange)

    - #### getOnclear

          public java.lang.String getOnclear()

    - #### setOnclear

          public void setOnclear(java.lang.String _onclear)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnerror

          public java.lang.String getOnerror()

    - #### setOnerror

          public void setOnerror(java.lang.String _onerror)

    - #### getOnfileuploadcomplete

          public java.lang.String getOnfileuploadcomplete()

    - #### setOnfileuploadcomplete

          public void setOnfileuploadcomplete(java.lang.String _onfileuploadcomplete)

    - #### getOnfocus

          public java.lang.String getOnfocus()

    - #### setOnfocus

          public void setOnfocus(java.lang.String _onfocus)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOnselect

          public java.lang.String getOnselect()

    - #### setOnselect

          public void setOnselect(java.lang.String _onselect)

    - #### getOnsizerejected

          public java.lang.String getOnsizerejected()

    - #### setOnsizerejected

          public void setOnsizerejected(java.lang.String _onsizerejected)

    - #### getOntyperejected

          public java.lang.String getOntyperejected()

    - #### setOntyperejected

          public void setOntyperejected(java.lang.String _ontyperejected)

    - #### getOnupload

          public java.lang.String getOnupload()

    - #### setOnupload

          public void setOnupload(java.lang.String _onupload)

    - #### getOnuploadcanceled

          public java.lang.String getOnuploadcanceled()

    - #### setOnuploadcanceled

          public void setOnuploadcanceled(java.lang.String _onuploadcanceled)

    - #### getOnuploadcomplete

          public java.lang.String getOnuploadcomplete()

    - #### setOnuploadcomplete

          public void setOnuploadcomplete(java.lang.String _onuploadcomplete)

    - #### getProgressInfo

          public java.lang.Object getProgressInfo()

    - #### setProgressInfo

          public void setProgressInfo(java.lang.Object _progressInfo)

    - #### getProgressLabel

          public java.lang.String getProgressLabel()

    - #### setProgressLabel

          public void setProgressLabel(java.lang.String _progressLabel)

    - #### getSize

          public java.lang.Object getSize()

    - #### setSize

          public void setSize(java.lang.Object _size)

    - #### getSizeErrorLabel

          public java.lang.String getSizeErrorLabel()

    - #### setSizeErrorLabel

          public void setSizeErrorLabel(java.lang.String _sizeErrorLabel)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getStopButtonClass

          public java.lang.String getStopButtonClass()

    - #### setStopButtonClass

          public void setStopButtonClass(java.lang.String _stopButtonClass)

    - #### getStopButtonClassDisabled

          public java.lang.String getStopButtonClassDisabled()

    - #### setStopButtonClassDisabled

          public void setStopButtonClassDisabled(java.lang.String _stopButtonClassDisabled)

    - #### getStopControlLabel

          public java.lang.String getStopControlLabel()

    - #### setStopControlLabel

          public void setStopControlLabel(java.lang.String _stopControlLabel)

    - #### getStopEntryControlLabel

          public java.lang.String getStopEntryControlLabel()

    - #### setStopEntryControlLabel

          public void setStopEntryControlLabel(java.lang.String _stopEntryControlLabel)

    - #### getStyle

          public java.lang.String getStyle()

      Specified by:
        `getStyle` in class `UIFileUpload`

    - #### setStyle

          public void setStyle(java.lang.String _style)

      Specified by:
        `setStyle` in class `UIFileUpload`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Specified by:
        `getStyleClass` in class `UIFileUpload`

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

      Specified by:
        `setStyleClass` in class `UIFileUpload`

    - #### getTabindex

          public java.lang.String getTabindex()

    - #### setTabindex

          public void setTabindex(java.lang.String _tabindex)

    - #### getTransferErrorLabel

          public java.lang.String getTransferErrorLabel()

    - #### setTransferErrorLabel

          public void setTransferErrorLabel(java.lang.String _transferErrorLabel)

    - #### getUploadButtonClass

          public java.lang.String getUploadButtonClass()

    - #### setUploadButtonClass

          public void setUploadButtonClass(java.lang.String _uploadButtonClass)

    - #### getUploadButtonClassDisabled

          public java.lang.String getUploadButtonClassDisabled()

    - #### setUploadButtonClassDisabled

          public void setUploadButtonClassDisabled(java.lang.String _uploadButtonClassDisabled)

    - #### getUploadControlLabel

          public java.lang.String getUploadControlLabel()

    - #### setUploadControlLabel

          public void setUploadControlLabel(java.lang.String _uploadControlLabel)

    - #### getUploadData

          public java.lang.Object getUploadData()

    - #### setUploadData

          public void setUploadData(java.lang.Object _uploadData)

    - #### getUploadListClass

          public java.lang.String getUploadListClass()

    - #### setUploadListClass

          public void setUploadListClass(java.lang.String _uploadListClass)

    - #### getUploadListClassDisabled

          public java.lang.String getUploadListClassDisabled()

    - #### setUploadListClassDisabled

          public void setUploadListClassDisabled(java.lang.String _uploadListClassDisabled)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright © 2014. All Rights Reserved.